<?php

namespace Modules\Order\Interfaces;

use Illuminate\Http\Request;
use Modules\Order\Models\Cart;
use Modules\Page\Models\Page;

interface CartRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Cart $cart);
    public function store(Request $request): Cart;
    public function update(Request $request, Cart $cart): Cart;
    public function destroy(Request $request, int $id): array;
}
